package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * 机构协议记录表(TenantContractRecord)表实体类
 *
 * @author hgw
 * @since 2022-02-12 16:16:41
 */
@ApiModel(value = "tenant_contract_record-机构协议记录表")
public class TenantContractRecord implements Serializable {

    public enum TenantContractRecordEnum {
        OPEN(0, "机构开通"),
        RENEW(1, "机构续费");

        private Integer type;

        private String msg;

        TenantContractRecordEnum(Integer type, String msg) {
            this.type = type;
            this.msg = msg;
        }

        public Integer getType() {
            return type;
        }

        public void setType(Integer type) {
            this.type = type;
        }

        public String getMsg() {
            return msg;
        }

        public void setMsg(String msg) {
            this.msg = msg;
        }
    }

    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @TableField("tenant_id_")
    @ApiModelProperty(value = "机构id")
    private Integer tenantId;

    @TableField("contract_name_")
    @ApiModelProperty(value = "协议名称")
    private String contractName;

    @TableField("url_")
    @ApiModelProperty(value = "协议网络地址")
    private String url;

    @TableField("type_")
    @ApiModelProperty(value = "协议类型 0机构开通 1机构续费 待补充")
    private Integer type;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @TableField("biz_date_")
    @ApiModelProperty(value = "创建日期")
    private Date bizDate;

    @TableField("create_time_")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getTenantId() {
        return tenantId;
    }

    public void setTenantId(Integer tenantId) {
        this.tenantId = tenantId;
    }

    public String getContractName() {
        return contractName;
    }

    public void setContractName(String contractName) {
        this.contractName = contractName;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Date getBizDate() {
        return bizDate;
    }

    public void setBizDate(Date bizDate) {
        this.bizDate = bizDate;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

}

